Bug 333566 - Quick filter in KMail 4.13 stops working with non-Latin characters (Cyrillic Russian Unicode) - search empty result
Summary: Quick filter in KMail 4.13 stops working with non-Latin characters (Cyrillic ...
Status: RESOLVED FIXED
Alias: None
Product: kmail2
Classification: Unclassified
Component: search (show other bugs)
Version: 4.13
Platform: Ubuntu Packages Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: kdepim bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-04-18 05:38 UTC by Murz
Modified: 2014-04-20 15:41 UTC (History)
3 users (show)

See Also:
Latest Commit:
Version Fixed In: 4.13.1


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Murz 2014-04-18 05:38:42 UTC
On KDE 4.12 KMail quick filter works well, but after upgrade to KDE 4.13 - it is broken.

I have mail with Cyrillic and Latin words in subject, so after upgrade quick search for Latin characters works well (normally search all matched mail subjects also contains Cyrillic characters).

But when I type Cyrillic characters in quick search box, it always shows empty list. 

Full search works well with same queries with Cyrillic characters, so broken is only quick search function.

Can I give you more info for debug and fix this issue?

Reproducible: Always
Comment 1 Andrew Gaydenko 2014-04-19 10:50:24 UTC
Confirming.
Comment 2 Laurent Montel 2014-04-20 15:18:23 UTC
Git commit f99d93f4df844d4a9ed271bd9e505fdeaa5a20ee by Montel Laurent.
Committed on 20/04/2014 at 15:17.
Pushed by mlaurent into branch 'KDE/4.13'.

Bug 333566 - Quick filter in KMail 4.13 stops working with non-Latin characters (Cyrillic Russian Unicode) - search empty result

FIXED-IN: 4.13.1
We need to update database

M  +2    -2    src/pim/agent/agent.cpp
M  +1    -1    src/pim/agent/akonotesindexer.cpp
M  +2    -2    src/pim/agent/emailindexer.cpp
M  +16   -11   src/pim/lib/contactquery.cpp
M  +16   -11   src/pim/lib/emailquery.cpp
M  +4    -2    src/pim/lib/notequery.cpp

http://commits.kde.org/baloo/f99d93f4df844d4a9ed271bd9e505fdeaa5a20ee
Comment 3 Laurent Montel 2014-04-20 15:19:53 UTC
it was a bug in baloo pim indexer.
it will reindex all after install new package.
Comment 4 Andrew Gaydenko 2014-04-20 15:41:56 UTC
Laurent, great, thanks!